const xml = require('js2xmlparser');

function response(req, res) {
    if (req.query.format === 'csv') {
        res.csv(req.result);
    } else if (req.query.format === 'xml') {
        res.send(xml('result', JSON.stringify({ city: req.result })));
    } else {
        res.json({ result: req.result });
    }
}

module.exports = response;
